/* Estilos de fontes */

/* Fonte Roboto 700 */
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@700&display=swap');

/* Fonte Montserra 500 */
@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans+Arabic:wght@300&family=Montserrat:wght@500&family=Roboto:wght@700&display=swap');



/* Reset */
a {

	text-decoration: none;

}

ol, ul {

	list-style: none;

}

html, body, div, span, iframe, h1, h2, h3, h4, h5, h6, p, blockquote, a, em, img, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, article, footer, header, nav, section, main, span {

	margin: 0;
	padding: 0;
	border: 0;
	vertical-align: baseline;

}

/* Estilos Gerais */
h1, h2, h3 {

    font-family: 'Roboto', sans-serif;
}

p, a, button, span {

    font-family: 'Montserrat', sans-serif;
    line-height: 30px;

}

body {

    background-color: #f5f5f5;

}

/* ******************************** Tela 1440 ************************************************** */

/* Header */
body,
ul {
  margin: 0px;
  padding: 0px;
}

a {
  color: white;
  text-decoration: none;

}

a:hover {
  background: rgba(0, 0, 0, 0.1);
}

#logo {

  font-weight: bold;
  font-size: 24px;
}

#header {

  box-sizing: border-box;
  padding: 16px 64px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  background-image: linear-gradient(#11274E, #224D9C);

}

#menu {

  display: flex;
  list-style: none;
  gap: 0.5rem;

}

#menu a {

  display: block;
  padding: 0.5rem;

}

#btn-mobile {
  display: none;
}



/* Background header */
.bg-header img {

  width: 100%;

}


/* Apresentação da cidade */
.container-intro {

  max-width: 800px;
  background-color: white;
  margin: 64px auto;
  box-sizing: border-box;
  padding: 32px 0;

}

.container-intro h2 {

  font-size: 24px;
  font-weight: bold;
  text-transform: uppercase;
  color: black;
  padding: 32px 0 0 32px;

}

.container-intro h2::after {

  content: "";
  width: 150px;
  height: 5px;
  display: block;
  background: #FED116;
  margin: 6px 0 32px 0;

}

.container-intro p {

  font-size: 18px;
  font-weight: normal;
  padding: 0 32px 32px 32px;

}

.container-intro a {

  font-size: 12px;
  font-weight: bold;
  text-transform: uppercase;
  background-color: #FED116;
  color: white;
  border: none;
  border-radius: 20px;
  padding: 12px;
  margin: 32px 32px 32px 32px;
  cursor: pointer;
  transition: 0.5s;

}

.container-intro a:hover {

  background-color: #f09a1a;

}

/* Apresentacao do video */
.apresentacao-container {

  background-color: #E0E0E0 ;
  padding: 32px 64px;

}


.apresentacao-container h2 {

  font-size: 24px;
  font-weight: bold;
  text-transform: uppercase;
  color: black;

}

.apresentacao-container h2::after {

  content: "";
  width: 150px;
  height: 5px;
  display: block;
  background: #FED116;
  margin: 6px 0 32px 0;

}

iframe {

  width: 100%;
  height: 500px;

}

/* Curiosidades da cidade */
.curiosidades {

  width: 100%;
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  padding: 32px 0;
  gap: 32px;

}


.curiosidades h2 {

  font-size: 24px;
  font-weight: bold;
  text-transform: uppercase;
  color: black;
  margin-left: 64px;

}

.curiosidades h2::after {

  content: "";
  width: 150px;
  height: 5px;
  display: block;
  background: #FED116;
  margin: 6px 0 32px 0;

}

.container-locais {

  display: flex;
  margin: 0 64px ;
  gap: 20px;


}

.container-locais img {

  height: 250px;
}


.locais-info p {

  overflow-y: scroll;
  height: 100px;
  font-size: 14px;
  font-weight: normal;
  color: black;
}

.locais-info h3 {

  font-size: 18px;
  font-weight: bold;
  text-transform: uppercase;

}

.locais-info h3::after {

  content: "";
  width: 75px;
  height: 5px;
  display: block;
  background: #FED116;
  margin: 6px 0 32px 0;

}


.locais-info a {

  font-size: 14px;
  font-weight: normal;
  color: #F90707;


}

/* footer */

.container-footer {

  background-color: black;
  display: flex;
  justify-content:space-between;


}

.container-footer h2 {

  font-size: 24px;
  font-weight: bold;
  text-transform: uppercase;
  color: white;

}

.container-footer h2::after {

  content: "";
  width: 150px;
  height: 5px;
  display: block;
  background: #FED116;
  margin: 6px 0 16px 0;

}

.container-footer p {

  color: white;
  font-size: 18px;
  font-weight: normal;

}

.container-footer a {

  color: #FED116;

}

.informacoes {

  padding: 64px;

}


.redes-sociais {

  padding: 64px;

}

.redes-sociais img {

  margin: 0 32px 0 0;
}

.copy {

  display: flex;
  flex-direction: column;
  background-color: #F90707;
  width: 100%;
  align-items: center;

}

.copy span {

  color: white;
  font-size: 10px;
  font-weight: normal;
  padding: 0;

}

/* ****************************************** Tela 768 ***************************************** */

@media (max-width: 768px) {

  #header{
    width: 100%;
    padding: 8px 32px;

  }
  .nav{

      width: auto;
  }

  #menu {

    display: block;
    position: absolute;
    width: 100%;
    top: 70px;
    right: 0px;
    background: #e7e7e7;
    transition: 0.6s;
    z-index: 1000;
    height: 0px;
    visibility: hidden;
    overflow-y: hidden;

  }
  #nav.active #menu {

    height: calc(100vh - 70px);
    visibility: visible;
    overflow-y: auto;

  }
  #menu a {

    padding: 1rem 0;
    margin: 0 1rem;
    border-bottom: 2px solid rgba(0, 0, 0, 0.05);
    color: black;

  }
  #btn-mobile {

    display: flex;
    padding: 0.5rem 1rem;
    font-size: 1rem;
    border: none;
    background: none;
    cursor: pointer;
    gap: 0.5rem;

  }
  #hamburger {

    border-top: 2px solid;
    width: 20px;

  }

  #hamburger::after,
  #hamburger::before {

    content: '';
    display: block;
    width: 20px;
    height: 2px;
    background: currentColor;
    margin-top: 5px;
    transition: 0.3s;
    position: relative;

  }

  #nav.active #hamburger {

    border-top-color: transparent;

  }

  #nav.active #hamburger::before {

    transform: rotate(135deg);

  }

  #nav.active #hamburger::after {

    transform: rotate(-135deg);
    top: -7px;

  }


    main .container-intro {

      max-width: 400px;

    }

    main .container-intro h2 {

      font-size: 18px;

    }

    main .container-intro p {

      font-size: 14px;

    }

    main .container-intro a {

      font-size: 10px;
      border-radius: 20px;
      padding: 5px 12px;
      margin: 0 32px 32px 32px;
      cursor: pointer;

  }

  .apresentacao-container .container-video {

    width: 600px;

  }

  .apresentacao-container .container-video h2 {

    font-size: 18px;
    font-weight: bold;
    text-transform: uppercase;
    color: black;
    padding: 32px 0 0 0px;

  }


  .apresentacao-container #video {

    width: 100%;
    height: 320px;
    margin-bottom: 32px;
  }

  section .curiosidades h2 {

      font-size: 18px;
  }

  section .curiosidades h2::after {

      width: 100px;

  }

  .container-locais {

      flex-direction: column;
  }

  .container-locais .locais-info {

      margin:32px 0;

  }

  .container-locais .locais-info h3 {

      font-size: 16px;

  }

  .container-locais .locais-info h3::after {

      width: 60px;
      height: 3px;

  }

  footer .container-footer {

      background-color: black;
      display: flex;
      flex-wrap: wrap;
      padding: 32px;


  }

  footer .container-footer h2 {

      font-size: 18px;

  }

  footer .container-footer  h2::after {

      width: 100px;

  }

  footer .container-footer .informacoes p {

      font-size: 14px;

  }

  footer .informacoes {

      padding: 0px;

  }


  footer .redes-sociais {

      padding: 0px;

  }

  footer .redes-sociais img {

      margin: 0 16px 0 0;
      width: 40px;
  }


  }
  /* ****************************** Tela 425 ***************************************** */

  @media (max-width: 425px) {

    body header {

        padding: 8px 0;
        justify-content: center;

    }

    .container-intro {

      display: flex;
      flex-direction: column;
      align-items: center;

    }

    .container-intro h2 {

      padding: 32px 0 0 0px;
      text-align: center;

    }

    .container-intro h2::after {

      width: 100px;
      height: 3px;
      margin: 6px auto 32px auto;

    }

    .container-intro p {

      font-size: 14px;

    }

    body .container-intro a {

      width: 300px;
      font-size: 10px;
      padding: 4px;
      text-align: center;

    }

    .apresentacao-container {

      background-color: #E0E0E0 ;
      padding: 8px 16px;

    }

    .apresentacao-container #video {

        width: 100%;
        height: 200px;

    }

    .apresentacao-container h2 {

      font-size: 18px;
      text-align: center;

    }

    .apresentacao-container h2::after {

      width: 100px;
      height: 3px;
      margin: 6px auto 32px auto;

    }

    .curiosidades {

      padding: 32px 0;
      gap: 0px;

    }

    .curiosidades h2 {

      font-size: 18px;
      margin: 0;
      text-align: center;

    }

    .curiosidades h2::after {

      width: 100px;
      height: 3px;
      margin: 6px auto 32px auto;

    }

    .container-locais {

        display: flex;
        margin: 0;

    }

    .container-locais img {
       width: 350px;
       height: 200px;

    }

    .container-locais {

      align-items: center;

    }


     .container-locais .locais-info {

      max-width: 350px;
    }

    footer .container-footer  h2 {

      font-size: 14px;

    }

    footer .container-footer h2::after {

      width: 75px;
      height: 2px;

    }
  }

  /* *********************************************************************************** */
